% Eingabe Startwert und Toleranz
startwert=2;
tolerance=10^(-6);

xNeu=startwert;
xAlt=startwert+1; % <= notwendig, damit die Schleifenbedingung im ersten Durchlauf geprüft werden kann
% Warum man xNeu als Startwert setzt und nicht xAlt, wird klar, wenn man
% die Schleife betrachtet: Dort wird zunächst xAlt auf xNeu gesetzt. Im
% ersten Schleifendurchlauf ist also xAlt der Startwert und xNeu wird gemäß
% der Vorschrift berechnet.

k=1; % Zähle Anzahl der benötigten Rechenschritte
while abs(xNeu-xAlt)>tolerance
    xAlt=xNeu;  % Im neuen Schleifendurchlauf ist das xNeu aus dem vorigen
                % Durchlauf das xAlt im neuen. xNeu war das x_(k+1) aus dem
                % vorigen Durchlauf aber nimmt jetzt die Rolle von x_k ein
    xNeu=0.5*(xAlt+2/xAlt); % Und xNeu ist x_(k+1)
    k=k+1;
end

xInf=sqrt(2); % Obige Folge konvergiert gegen die Wurzel aus 2.
diff=abs(xNeu-xInf); % Differenz zum Grenzwert

fprintf("Die Differenz zum Grenzwert sqrt(2) beträgt %d.\n",diff);
fprintf("Es wurden %d Rechenschritte durchgeführt.\n",k);
